/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "conversationsign.h"
#include "assert/assert.h"
#include "rpg/entity/entity.h"
#include "locale/language.h"

uint16_t conversationSignInit(conversation_t *convo, const uint16_t i) {
  assertNotNull(convo, "Conversation is NULL!");
  assertNotNull(convo->user, "Conversation user is NULL!");

  entity_t *e = (entity_t*)convo->user;
  assertTrue(e->type == ENTITY_TYPE_SIGN, "Entity is not a sign!");
  textboxSetText("maps.testmap.sign.name", "maps.testmap.sign.text");

  return 0;
}

uint16_t conversationSignUpdate(conversation_t *convo, const uint16_t i) {
  switch(i) {
    case 0:
      return textboxIsOpen() ? CONVERSATION_CONTINUE : CONVERSATION_DONE;
    
    default:
      return CONVERSATION_INVALID;
  }
}